// m3e01.c
// Compilació amb gcc
// gcc -lm m3e01.c -o m3e01
// -lm : Math Library

// També es pot compilar amb el g++:
// g++ m3e01.c -o m3e01

#include <stdio.h>
#include <math.h>

int main(){
	double a,b,c; //coeficients
	double disc;  //discriminant de l'equació
	double x1,x2; //solucions de l'equació	
	
	printf("Introduïu els coeficients a, b i c: ");
	scanf("%lf %lf %lf", &a,&b,&c);	
	disc=b*b-4*a*c;
	if(!a) // if ( a != 0 )
		printf("x: %.4lf\n",-c/b);
	else{
		if(disc > 0){
			x1=(-b+sqrt(disc))/(2*a);
			x2=(-b-sqrt(disc))/(2*a);	
			printf("x1: %.4lf, x2: %.4lf\n",x1,x2);
		}else{
			if(disc == 0){
				x2=(-b-sqrt(disc))/(2*a);	
				printf("x: %.4lf\n",x2);
			}else{ // if (disc < 0)
				printf("L'equació no té solucions reals\n");
			}			
		}
	}
	
	return 0;
}
